> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get FAST response message ## OpenAPI ````json GET /v{version}/Fast/player/{playerId}/{messageId} { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Fast/player/{playerId}/{messageId}": { "get": { "tags": [ "Fast" ], "summary": "Get FAST response message", "operationId": "Fast_GetResponseMessage", "parameters": [ { "name": "messageId", "in": "path", "description": "Unique ID of the message", "required": true, "schema": { "type": "string", "format": "uuid" } }, { "name": "playerId", "in": "path", "description": "Unique ID of the player", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.Fast.FastResponseMessage" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Message not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Fast.FastResponseMessage": { "type": "object", "properties": { "BinaryPayload": { "type": "string", "description": "Binary content of the message payload", "format": "byte" }, "CommittedUtc": { "type": "string", "description": "Committed time of the message in UTC", "format": "date-time" }, "PlayerId": { "type": "integer", "description": "Unique ID of the player", "format": "int32" }, "Processed": { "type": "boolean", "description": "If `true`, the message is processed.\r\nDefault: `false`." }, "SentUtc": { "type": "string", "description": "Sent time of the message in UTC", "format": "date-time" }, "State": { "type": "integer", "description": "State of the message", "format": "int32" }, "StatusMessage": { "type": "string", "description": "Status message of the message" }, "TextPayload": { "type": "string", "description": "Content of the message payload as plain text" } }, "description": "FAST response message" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````